<HTML>
<HEAD>
<TITLE>AV-CA-01</TITLE>
<STYLE>
<!#master.css>
<!#adv.css>
</STYLE>
<STYLE><!#master.css></STYLE>
<META http-equiv="Content-Type" content="text/html; charset=<!=/ACU-XE/CharSet=Message>iso-8859-1<!/CharSet>">
</HEAD>
<!#common.htm>
<SCRIPT SRC="ACUTools.js"></SCRIPT>
<SCRIPT SRC="Advanced.js"></SCRIPT>
<SCRIPT SRC="checkbox.js"></SCRIPT>
<SCRIPT>
option = new Array();
offcommand = "DROP_PDRIVE";
command = "ADD_PDRIVE";
<!.Request=PDRIVE_ADD_CHOICES>

<!.Request=FOCUS>

<!.Request=TAG>

<!.Request=CONTROLLER_DUAL_DOMAIN_CAPABLE>

// Global variable used for selector name
var g_sSelectorName = "DRIVE_TYPE";


//------------------------------------------------------------------------------
// Name: ValidateAVCA01()
// Desc: This function loads all the physical drives that are the same type as
//       what the user has selected in the selector widget into a comma
//       delimited string. This string is assigned to the finish form which is
//       posted.
//
//       The following objects are global and used by showSelDrives()
//
//             DRIVE_TYPE - HTML select object whos value is the user-specified
//                        drive type.
//             option   - an array containing all available physical drives
//             finish   - Finish form, what we post to the server.
//
// Parameters:      none
// Return Value:    False always because we are manually submitting the form.
// Pre-conditions:  Global objects must exist and be initialized
// Post-conditions: Posts the drives seperated by commas.
//                                                                     mm29Oct03
//------------------------------------------------------------------------------

function ValidateAVCA01()
{
   var selectObj = document.getElementById(g_sSelectorName);
   var sDrives = "*";
   for ( var i=0; i<numChoices; ++i )
   {
      if(option[i].itemType == selectObj.value && document.getElementById(option[i].id).checked == true) //mm29Oct03
      {
         sDrives += option[i].id + ",";
      }
   }
   document.finish.CREATE_PDRIVE_ARRAY.value=sDrives.slice(0, sDrives.length - 1);

   if( sDrives != "*") //if there are no drives checked, we need to display a message
   {
      document.finish.submit();
   }
   else
   {
      message = LoadString("PX_TAG_CREATE_ARRAY_EMPTY");
      alert(message);
   }
   return false;
}

InitAdvKeyboard();


//------------------------------------------------------------------------------
// Name: showSelDrives()
// Desc: This function shows a specified type of physical drives in a checkbox
//       table. It makes non-specified drives invisible. The type of drive
//       specified is determined by inspecting an HTML select object. This
//       function is typically called when the user changes drive type. All
//       checkboxes are intitialized to unchecked everytime this function is
//       called.
//
//       The following objects are global and used by showSelDrives()
//
//             DRIVE_TYPE - HTML select object whos value is the user-specified
//                        drive type.
//             option   - an array containing all available physical drives
//             option[i].focusTag + "_ROW" - a row in the checkbox table that
//                                           can be visible or invisible, this
//                                           is actually a span id.
// Parameters:      none
// Return Value:    none
// Pre-conditions:  Global objects must exist and be initialized
// Post-conditions: none
//                                                                     mm29Oct03
//------------------------------------------------------------------------------

function showSelDrives()
{
   var selectObj = document.getElementById(g_sSelectorName);
   var nCount = 0;
   
   if(document.displayForm && document.displayForm.CheckBoxAll)
   {
      document.displayForm.CheckBoxAll.checked = false;
   }

   for(var i=0; i<numChoices; ++i )
   {
      
      var driveObj = document.getElementById(option[i].focusTag + "_ROW");
      if(driveObj && selectObj)
      {
         if(option[i].itemType == selectObj.value)
         {
            driveObj.style.display = "block";
            eval("document.displayForm.CheckBox" + i + ".checked = false;");  // unchecked
            ++nCount;
         }
         else
         {
            driveObj.style.display = "none";
         }
      }
   }

   // Show the select all checkbox only if we have more than 1 checkboxes
   var checkAllObj = document.getElementById("CheckBoxAll_ROW");
   if(checkAllObj)
   {
      if(nCount > 1)
      {
         checkAllObj.style.display = "block";
      }
      else
      {
         checkAllObj.style.display = "none";
      }

      // Display Correct select all image
      if(selectObj.value == GetData("SAS_PHYSICAL_DRIVE"))
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnSASDriveAll.gif";
      }
      //else if (selectObj.value == GetData("SATA_PHYSICAL_DRIVE"))
      else if (selectObj.value == GetData("SATA_LOGICAL_DRIVE"))
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnSATADriveAll.gif";
      }
      else
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnACUPDriveAll.gif";
      }
   }
}


function toggleHandler(n)
{
   /*var obj = document.getElementById(option[n].id);
   if(obj)
   {
      option[n].checked = obj.checked;
   }*/
}

function selectAllHandler(n)
{
   /*var obj = document.getElementById("CheckBoxAll")
   if(obj && obj.checked)
   {
      for(var i=0; i<numChoices; ++i)
      {
         option[i].checked = true;
      }
   }
   else
   {
      for(var i=0; i<numChoices; ++i)
      {
         option[i].checked = false;
      }
   }*/
}

</SCRIPT>
<BODY id=BODY class=normalbody onfocus="advFocus();" onblur="advBlur();" onLoad="advLoad();" oncontextmenu="return DisableRightClick();">
  <TABLE width=100%  border=0 cellpadding=0 cellspacing=0 align=center >
    <TR width=100% id=configtableHead>
      <TD id=configtableHead align=left valign=top><IMG src="./Images/top_left_trans.gif"></TD>
     <TD id=configtableHead align=center nowrap>
        <SCRIPT>
          WriteString("PX_TAG_AV_CREATE_ARRAY");
        </SCRIPT>
      </TD>
     <TD id=configtableHead align=right valign=top><IMG src="./Images/top_right_trans.gif"></TD>
    </TR>
    <TR width=100%>
      <TD id=configtable colspan=3>
        <SCRIPT>
          DisplayStandardNote("PX_TAG_NOTE_CREATE_ARRAY_MIXED_CAPACITY");
          if (controllerDualDomainCapable)
             DisplayStandardNote("PX_TAG_NOTE_CREATE_ARRAY_MIXED_1P_2P_SAS_DRIVES");
        </SCRIPT>
      </TD>
    </TR>
    <TR id=configtable width=100%>
      <TD id=configtable colspan=3>
      <BR>
      <table width=100% border=0 cellpadding=0 cellspacing=0 class=normal>
         <tr id=advTableHeader width=100% align=center>
            <td id=configtable width=10 height=25>&nbsp;</td>
            <td width=100% id=advTableHeader align=center>
            <script>
            document.write(LoadString("PX_TAG_AV_PDRIVE_SELECT_DRIVE_TYPE"));
            </script>
            </td>
            <td id=configtable width=10 height=25>&nbsp;</td>
         </tr>

         <!-- Here is where we put the array type selector widget in -->
         <TR width=100% align=center>
            <td width=10 height=25>&nbsp;</td>
            <td width=100% align=center>
            <BR>
               <script>
               var selectTable = new Array();
               var stringTable = new Array();
               for(var i=0; i<option.length; ++i)
               {
                  var sTemp = stringTable.toString();
                  if( sTemp.indexOf(option[i].typeDesc) == -1)
                  {
                     selectTable[option[i].itemType] = option[i].itemType;
                     stringTable[option[i].itemType] = option[i].typeDesc;
                  }
               }

               DisplaySelectTable( "", g_sSelectorName, selectTable, stringTable, "showSelDrives", "" );

               </script>
            </td>
            <td width=10 height=25>&nbsp;</td>
         </TR>

      </table>

         <BR>

         <!-- Here is where actually make the checkbox table -->
         <FORM autocomplete="off" name="displayForm">
          <SCRIPT>
            DisplayStandardCheckBoxTable(LoadString("PX_TAG_AV_PDRIVE_SELECT_FOR_ARRAY"), option, numChoices, "toggleHandler", "selectAllHandler", "./Images/GnACUPDriveAll.gif");
            showSelDrives();
          </SCRIPT>
         </FORM>

      </TD>
    </TR>
   <TR id=configtable>
   <TD id=configtable colspan=3>

   <!-- Here is where actually add the buttons for navigation. -->
   <SCRIPT>
      DisplayStandardOKCancelButtonNavWithValidation( "AV-Config.htm", "AV-Config.htm", "ValidateAVCA01()" );
   </SCRIPT>
   </TD>
   </TR>
  </TABLE>


<!--This form is used for posting the selected drives back to ACU-->
<FORM autocomplete="off" name="finish" method="post" target="config" action="AV-Config.htm">
   <input type='hidden' name='CREATE_PDRIVE_ARRAY' value=''>
   <SCRIPT>
      insertUser();
      insertFocus();
      insertSource();
      WriteCommand("END_TRANSACTION", "DEFAULT");
   </SCRIPT>
</FORM>


<FORM name="cancel">
<SCRIPT>
WriteCommand("UNDO_TRANSACTION", "DEFAULT");
insertUser();
insertFocus();
insertSource();
</SCRIPT>
</FORM>
</BODY>
<SCRIPT SRC="advkey.js"></SCRIPT>
</HTML>