<HTML>
<HEAD>
<TITLE>AM-CA-SM-01</TITLE>
<STYLE><!#master.css></STYLE>
<META http-equiv="Content-Type" content="text/html; charset=<!=/ACU-XE/CharSet=Message>iso-8859-1<!/CharSet>">
</HEAD>
<!#common.htm>
<SCRIPT SRC="ACUTools.js"></SCRIPT>
<SCRIPT SRC="Advanced.js"></SCRIPT>
<SCRIPT SRC="checkbox.js"></SCRIPT>
<SCRIPT>
LoadNavPage("PX_TAG_BACK","S('back','AM-CA-SM-00.htm')",
            "PX_TAG_NEXT","SV('next','AM-CA-SM-02.htm','ValidateAMCA01()')",
            "PX_TAG_CANCEL","S('cancel','UB-00.htm')");
LoadFaqPage("022,030,038,039,031,032");
LoadProgPage("PX_TAG_SELECT_PDRIVES",25);
focusTag = 0;
<!.Request=FOCUS>
userTag = 0;
<!.Request=TAG>
LoadLBConfigPage();
parent.pageSource = 1;
numChoices = 0;
redirect = false;
option = new Array();
<!.Request=PDRIVE_ADD_CHOICES>
<!.Request=CONTROLLER_DUAL_DOMAIN_CAPABLE>

// Global variable used for selector name
var g_sSelectorName = "DRIVE_TYPE";


//------------------------------------------------------------------------------
// Name: showSelDrives()
// Desc: This function shows a specified type of physical drives in a checkbox
//       table. It makes non-specified drives invisible. The type of drive
//       specified is determined by inspecting an HTML select object. This
//       function is typically called when the user changes drive type. All
//       checkboxes are intitialized to unchecked everytime this function is
//       called.
//
//       The following objects are global and used by showSelDrives()
//
//             DRIVE_TYPE - HTML select object whos value is the user-specified
//                        drive type.
//             option   - an array containing all available physical drives
//             option[i].focusTag + "_ROW" - a row in the checkbox table that
//                                           can be visible or invisible, this
//                                           is actually a span id.
// Parameters:      none
// Return Value:    none
// Pre-conditions:  Global objects must exist and be initialized
// Post-conditions: none
//                                                                     mm29Oct03
//------------------------------------------------------------------------------

function showSelDrives()
{
   //alert("sel");
   var selectObj = document.getElementById(g_sSelectorName);
   var nCount = 0;
   if(document.displayForm && document.displayForm.CheckBoxAll)
   {
      document.displayForm.CheckBoxAll.checked = false;
   }
   for(var i=0; i<numChoices; ++i )
   {
      var driveObj = document.getElementById(option[i].focusTag + "_ROW");
      if(driveObj && selectObj)
      {
         if(option[i].itemType == selectObj.value)
         {
            driveObj.style.display = "block";                                // visible
            eval("document.displayForm.CheckBox" + i + ".checked = " + option[i].checked);  // unchecked
            ++nCount;
         }
         else
         {
            driveObj.style.display = "none";
         }
      }
   }

   // Show the select all checkbox only if we have more than 1 checkboxes
   var checkAllObj = document.getElementById("CheckBoxAll_ROW");
   if(checkAllObj)
   {   
      if(nCount > 1)
      {
         checkAllObj.style.display = "block";
      }
      else
      {
         checkAllObj.style.display = "none";
      }

      // Display Correct select all image
      if(selectObj.value == GetData("SAS_PHYSICAL_DRIVE"))
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnSASDriveAll.gif";
      }
      //else if (selectObj.value == GetData("SATA_PHYSICAL_DRIVE"))
      else if (selectObj.value == GetData("SATA_LOGICAL_DRIVE"))
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnSATADriveAll.gif";
      }
      else
      {
         document.getElementById("CheckBoxAllImg").src = "./Images/GnACUPDriveAll.gif";
      }
   }
}


function itemToggled(ss)
{
   var selectObj = document.getElementById(g_sSelectorName);
   var sDrives = "*";
   for ( var i=0; i<numChoices; ++i )
   {
      if(option[i].itemType == selectObj.value && document.getElementById(option[i].id).checked == true) //mm29Oct03
      {
         sDrives += option[i].id + ",";
      }
   }


   if( sDrives != "*") //if there are no drives checked, we need to display a message
   {
   sDrives=sDrives.slice(0, sDrives.length - 1);
   }
   document.next.CREATE_PDRIVE_ARRAY.value=sDrives;

   SetData("CONFIG_VIEW_UPDATING_COMPLETE",false);
   document.next.target="config";
   document.next.action="LB-Config.htm";
   document.next.submit();

}
   //NCFormReferenceArraySelectAll(isSelectAll);
   //LBConfigIntermediateSubmit();
   //NCFormReferenceArrayToggleItem(index);
   //LBConfigIntermediateSubmit();


//------------------------------------------------------------------------------
// Name: ValidateAMCA01()
// Desc: This function loads all the physical drives that are the same type as
//       what the user has selected in the selector widget into a comma
//       delimited string. This string is assigned to the finish form which is
//       posted.
//
//       The following objects are global and used by showSelDrives()
//
//             DRIVE_TYPE - HTML select object whos value is the user-specified
//                        drive type.
//             option   - an array containing all available physical drives
//             next     - Next form, what we post to the server.
//
// Parameters:      none
// Return Value:    False always because we are manually submitting the form.
// Pre-conditions:  Global objects must exist and be initialized
// Post-conditions: Posts the drives seperated by commas.
//                                                                     mm29Oct03
//------------------------------------------------------------------------------

function ValidateAMCA01()
{
   var selectObj = document.getElementById(g_sSelectorName);
   var sDrives = "*";
   for ( var i=0; i<numChoices; ++i )
   {
      if(option[i].itemType == selectObj.value && document.getElementById(option[i].id).checked == true) //mm29Oct03
      {
         sDrives += option[i].id + ",";
      }
   }
   document.next.CREATE_PDRIVE_ARRAY.value=sDrives.slice(0, sDrives.length - 1);

   if( sDrives != "*") //if there are no drives checked, we need to display a message
   {
      document.next.target="choice";
      document.next.action="AM-CA-SM-02.htm";
      document.next.submit();
   }
   else
   {
      message = LoadString("PX_TAG_CREATE_ARRAY_EMPTY");
      alert(message);
   }
   return false;
}

InitWizKeyboard();
</SCRIPT>
<BODY id=BODY onload="wizLoad();" onblur="wizBlur();" oncontextmenu="return DisableRightClick();">
<P><DIV id=instruction><SCRIPT>WriteString("PX_TAG_AM_CA_01_TEXT");</SCRIPT></DIV></P>
<SCRIPT>
   DisplayNote("PX_TAG_NOTE_CREATE_ARRAY_MIXED_CAPACITY");
   if (controllerDualDomainCapable)
      DisplayNote("PX_TAG_NOTE_CREATE_ARRAY_MIXED_1P_2P_SAS_DRIVES");
   document.write("<br><br>");
   document.write(LoadString("PX_TAG_AV_PDRIVE_SELECT_DRIVE_TYPE"));
</SCRIPT>

   <!-- Here is where we put the array type selector widget in -->
   <BR><BR>
      <script>
      var selectTable = new Array();
      var stringTable = new Array();
      for(var i=0; i<option.length; ++i)
      {
         var sTemp = stringTable.toString();
         if( sTemp.indexOf(option[i].typeDesc) == -1)
         {
            selectTable[option[i].itemType] = option[i].itemType;
            stringTable[option[i].itemType] = option[i].typeDesc;
         }
      }

      DisplaySelectTable( "", g_sSelectorName, selectTable, stringTable, "showSelDrives", "", "align=left" );

      </script>


   <!-- Here is where actually make the checkbox table -->
   <FORM autocomplete="off" name="displayForm">
      <SCRIPT>
      DisplayNCTable("./Images/GnACUPDriveAll.gif", "itemToggled", "itemToggled");
      showSelDrives();
      </SCRIPT>
   </FORM>

<!--This form is used for posting the selected drives back to ACU-->
<FORM autocomplete="off" name="next" method="post" action="NU-01.htm">
   <input type='hidden' name='CREATE_PDRIVE_ARRAY' value=''>
   <SCRIPT>
      insertUser();
      insertFocus();
      insertSource();
   </SCRIPT>
</FORM>


<FORM name="back">
   <SCRIPT>
      WriteCommand("UNDO_TRANSACTION", "DEFAULT");
      insertUserAndFocus();
   </SCRIPT>
</FORM>

<FORM name="cancel">
   <SCRIPT>
   WriteCommand("UNDO_TRANSACTION", "DEFAULT");
   insertUserAndFocus();
   </SCRIPT>
</FORM>

</BODY>
<SCRIPT SRC="wizkey.js"></SCRIPT>
</HTML>