// This file is a Form that defines Paragraphs into JavaScript variables.

// SS510p1 translations
PX_TAG_ARRAY_LOG_DRIVES_EMPTY = " Array <0ID> does not have any logical drives and will not be saved. The drives that were assigned to this array will become unassigned. ";
PX_TAG_ARRAY_NO_CONFIGURED_LOGICAL_DRIVES_FOR_EXPANSION = " Expansion is not possible on array <0ID>. This array contains physical drives that are not configured for expansion. ";
PX_TAG_ARRAY_NO_UNASSIGNED_DRIVES_AVAILABLE_FOR_EXPANSION = " Expansion is not possible on array <0ID>. This array does not have any unassigned physical drives avaible. ";
PX_TAG_ARRAY_NOT_ENOUGH_SPACE = " The physical drives comprising array <2ARRAY> have changed resulting in insufficient space for the existing logical drives. ";
PX_TAG_ARRAY_OS_MISMATCH = " Physical drives in array <0ID> were formatted with different operating systems. Reformat the physical drives before continue. ";
PX_TAG_ARRAY_PHYS_DRIVES_TOO_BIG = " The <0SIZE=Para> physical drive attached to <1phydrivelocation> makes at least 10 percent unusable disk space since at least one physical drive in the same array has a smaller size.<BR><BR>To avoid wasting usable disk space, create arrays from same size physical drives. ";
PX_TAG_ARRAY_PHYS_DRIVES_TOO_SMALL = " One or more physical drives have been added to this array that are too small.<BR><BR>Select and assign only those drives that are at least as large as the smallest drive already assigned. ";
PX_TAG_ARRAY_RAID_0_IMPOSSIBLE = " Array <2ARRAY> cannot be configured with RAID 0. ";
PX_TAG_ARRAY_UNASSIGNED_DRIVES_TOO_SMALL_FOR_EXPANSION = " Expansion is not possible on array <0ID>. This array contains unassigned drives that are too small for expansion. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_CACHE_BOARD_NOT_INSTALLED = " You cannot extend or migrate logical drives on this controller because an array accelerator is not present on the controller.<BR><BR>Without an array accelerator, a loss of power or other interruption during extension or migration would cause data loss.<BR><BR>Install an array accelerator on the controller if you want to perform extension or migration. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_CACHE_DISABLED = " You cannot extend or migrate logical drives on this controller. <BR><BR>The array accelerator is disabled. Without an enabled array accelerator, a loss of power or other interruption during extension or migrationwould cause data loss. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_FAIL_SAFE_ENABLED = " You cannot extend or migrate logical drives on this controller because the controller is currently configured as an Online Recovery Server controller.<BR><BR>An Online Recovery Server switchover during logical drive extension or migration could cause data loss.<BR><BR>To reconfigure the Online Recovery Server feature, run the System Configuration Utility. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_LOG_DRIVE_TRANSFORMING = " You cannot extend or migrate logical drives on this controller because the controller is currently performing capacity expansion, RAID/stripe size migration, or logical drive extension.<BR><BR>Logical drive extension or migration will be possible when this process is complete. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_NO_BATTERY_BACKED_CACHE = " You cannot extend or migrate logical drives on this controller because the controller does not contain a battery backed cache.<BR><BR>Without a battery backed cache, a loss of power or other interruption during extension or migration would cause data loss. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_NOT_SUPPORTED = " Logical drives cannot be extended on array <0ID> because the current controller does not support logical drive extension. ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_NOT_SUPPORTED_BY_FIRMWARE = " Logical drive extension is not supported on array <0ID> by the current controller firmware.<BR><BR>Upgrade the controller firmware to the latest version and retry the extension. ";
PX_TAG_CTRLR_MAX_UNIQUE_ACL_ENTRIES_REACHED = " Logical drives on this controller cannot have access to this connection.<BR><BR>The controller has reached the maximum number of connections that it allows to access its logical drives.<BR><BR>If you want to grant this logical drive access to this connection, you will first have to reduce the number of connections that have access to the logical drives on the controller. You can do this by modifying each logical drive on the controller and removing access for other connections. ";
PX_TAG_CTRLR_NO_PHYSICAL_DRIVES = " The current array controller does not have any physical drives attached to it. ";
PX_TAG_CTRLR_SSP_FIRMWARE_VERSION_TOO_HIGH = " Selective Storage Presentation is currently not available for this controller.<BR><BR>This controller supports Selective Storage Presentation, however the firmware installed on the controller is designed for use with a newer version of array configuration software.<BR><BR>If you want to continue this operation, upgrade to the newest version of array configuration software. ";
PX_TAG_CTRLR_SSP_FIRMWARE_VERSION_TOO_LOW = " Selective Storage Presentation is currently not available for this controller.<BR><BR>This controller supports Selective Storage Presentation, however the firmware installed on the controller does not support Selective Storage Presentation.<BR><BR>If you want to continue this operation, upgrade your controller firmware to support Selective Storage Presentation.";
PX_TAG_ERR_ARRAY_HAS_FAILED_PHYS_DRIVE = " You cannot create a new logical drive on array <0ID>.<BR><BR>One of the physical drives attached to the array is missing or has a bad connection.<BR><BR>To correct the problem, replace any failed physical drives or fix the connections. ";
PX_TAG_ERR_ARRAY_MEMORY = " The array accelerator on the current array controller is not functioning properly.<BR><BR>An unrecoverable ECC error occurred when trying to read data from the array accelerator's memory. Array accelerator operations are permanently disabled.<BR><BR>For more information, run the Array Diagnostics Utility.  ";
PX_TAG_ERR_ARRAY_MISMATCH = " The array accelerator contains data that does not correspond to the current array controller.<BR><BR>Use of this array accelerator on this controller will result in data loss. To preserve this information, remove the array accelerator from the current array controller and reinstall it on the correct controller.<BR><BR>To continue with data loss, perform one of the following: <UL><LI>For PCI and EISA controllers, reboot the system and follow the array controller initialization instructions.<LI>For RAID Array controllers, verify the Array Accelerator settings and save the configuration. At least one logical drive must exist on    the controller.For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_ARRAY_PARITY = " The array accelerator on the current array controller is not functioning properly.<BR><BR>Parity errors occurred when trying to write data to the array accelerator's memory possibly due to a loose connection between the array accelerator and the current array controller. Array accelerator operations are permanently disabled.<BR><BR>For more information, run the Array Diagnostics Utility. ";

PX_TAG_ERR_BAD_FW_FOR_16MB_CACHE = " The firmware for the current array controller needs to be upgraded.<BR><BR>In order to support the 16MB array accelerator, the firmware must be upgraded to version 1.50 or later. You will not be able to configure this controller until the firmware has been upgraded.<BR><BR>Obtain the latest Options ROMPaq utility and flash the array controller firmware to continue. The Options ROMPaq utility can be found on the Internet at http://www.hp.com. ";
PX_TAG_ERR_BIG_LOG_DRIVE_CANNOT_EDIT = " The current array controller has one or more logical drives that are larger than 502 GB. This controller does not support logical drives larger than 502 GB.<BR><BR>All operations on this controller will be disabled as long as the logical drives larger than 502 GB exist on this controller.<BR><BR>To fix this problem, move the logical drives to a controller that supports logical drives greater than 502 GB. ";
PX_TAG_ERR_CACHE_POSTED_WRITE_MISMATCH = " The array accelerator on the current array controller contains data that does not correspond to this controller.<BR><BR>Use of array accelerator on this controller will result in data loss. To preserve this information, remove the array accelerator from this controller and reinstall it on the correct controller.<BR><BR>To continue with data loss, perform one of the following:<UL><LI>For PCI and EISA controllers, reboot the system and follow the controller initialization instructions.<LI>For RAID Array controllers, verify the array accelerator settings and save the configuration. At least one logical drive must exist on the controller.</UL><BR><BR>For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_COMMUNICATIONS = " ACU cannot communicate with one or more array controllers. Please run the off-line version of the Array Configuration Utility to help diagnose the problem. ACU cannot continue. ";
PX_TAG_ERR_CONTROLLER = " The current array controller reported an error when attempting to save the configuration.<BR><BR>Possible causes for this problem include:<UL><LI>A physical drive has been removed.<LI>A data cable has a bad connection.<LI>Two or more drives have duplicate SCSI IDs.<LI>Power to the external drives is off.<LI>The OS array controller driver is missing.</UL>";
PX_TAG_ERR_CONTROLLER_HAS_NO_MORE_LOG_DRIVES = " You cannot create any new logical drives on this controller. This controller already has the maximum of 32 logical drives. ";
PX_TAG_ERR_CONTROLLER_INIT = " The current array controller was not initialized properly.<BR><BR>Reboot the system and follow the array controller initialization instructions. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_CACHE_FAILURE = " The current array controller has been setup to be a part of a redundant pair of controllers but the array accelerator cache sizes are different on the two controllers.<BR><BR>Make certain that both controllers are using array accelerators with the same amount of cache memory installed.<BR><BR>Run the Array Diagnostics Utility for more information. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_CACHE_SIZE_MISMATCH = " The current array controller has been set up to be a part of a redundant pair of controllers but the array accelerator cache sizes are different on the two controllers.<BR><BR>Make certain that both controllers are using array accelerators with the same amount of cache memory installed. Run the Array Diagnostics Utility for more information. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_EXPANSION_IN_PROGRESS = " The current array controller has been setup to be part of a redundant pair of controllers but redundancy is temporarily disabled.<BR><BR>Redundancy is temporarily disabled because capacity expansion, extension, or migration is in progress.<BR><BR>Redundancy will be enabled when this process is complete. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_DRIVE_DISPARITY = " The current array controller has been set up to be a part of a redundant pair of controllers but redundancy is not enabled since either this controller or the backup controller cannot communicate with the shared set of drives.<BR><BR>To correct this problem, make sure that the data cables are properly connected or that the controllers are firmly seated in the storage systems.<BR><BR>Run the Array Diagnostics Utility for more information. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_FIRMWARE_MISMATCH = " The current array controller has been set up to be part of a redundant pair of controllers but redundancy is not enabled since firmware versions are different on the two controllers.<BR><BR>Upgrade the firmware on the controllers to ensure that both are using the same version. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_INVALID_DRIVE_FOR_REDUNDANCY = " The current array controller has been setup to be part of a redundant pair of controllers but redundancy is not enabled because the following physical drive is incapable of supporting this feature:<BR>   <1phydrivelocation> <BR><BR>Run the Array Diagnostics Utility for more information. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_MODEL_MISMATCH = " The current array controller has been set up to be part of a redundant pair of controllers but redundancy is not enabled since the standby controller is not of the same model.<BR><BR>A redundant pair of controllers must consist of two controllers of the same type and use the same version of firmware.<BR><BR>To correct this problem, use two controllers of the same model. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_NOT_INSTALLED = " A redundant pair of controllers has been detected but communication cannot be established with the active controller.<BR><BR>Either the communication channel with the active controller has been lost or both redundant controllers are in standby states.<BR><BR>To correct this problem, make sure that the data cables are properly connected or that controllers are firmly seated in the storage systems. For more information run the Array Diagnostic Utility. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_UNKNOWN_REASON = " The current array controller has been setup to be part of a redundant pair of controllers but redundancy is disabled.<BR><BR>Redundancy is disabled for an unknown reason.<BR><BR>For more information on correcting this problem, upgrade to the latest version of the Array Configuration Utility, or run the Array Diagnostics Utility. ";
PX_TAG_ERR_INVALID_POWER_SUPPLY_REVISION_NUMBER = " The current array controller has an unsupported power supply.<BR><BR>To correct this problem, replace the current power supply with one that has a valid revision number, or replace the current array controller. ";

PX_TAG_ERR_NO_CONTROLLERS = " ACU could not detect any array controllers in the system.<BR><BR>Possible causes for this problem include:<UL><LI>There are no array controllers installed in the system.<LI>The controller is not responding and may need to be replaced.<LI>The controller is improperly seated in the slot.<LI>The OS array controller driver is missing or was unable to detect any configured logical drives.</UL> ";

PX_TAG_ERR_NO_PHYSICAL_DRIVES_WITH_WRITE_CACHE = " There are no physical drives that have write cache. ";
PX_TAG_ERR_OPTIONAL_SIMM_FAILED = " The array accelerator on the current array controller is not functioning properly.<BR><BR>The optional SIMM that is part of the array accelerator has failed and should be replaced.<BR><BR>For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_PHYS_DRIVE_FAILED = " The current array controller has a bad or missing physical drive attached to <1phydrivelocation>.<BR><BR>To correct this problem, check the data and power connections to the physical drive.<BR><BR>For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_PHYS_DRIVE_MISCONNECTED = " One or more physical drives in array <0ID> on the array accelerator has been moved, are missing, or have failed<BR><BR>To correct this problem, restore the configuration to its original state or delete the array and save your configuration. ";
PX_TAG_ERR_PHYS_DRIVE_STAMP = " A communication error occurred after trying to write M & P data to the physical drive attached to <1phydrivelocation>.<BR><BR>To correct this problem, check the data and power connections to the physical drive.<BR><BR>For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_SOME_PHYSICAL_DRIVES_LACK_WRITE_CACHE = " Some physical drives lack a write cache. ";
PX_TAG_ERR_SPARE_DRIVE_MISCONNECTED = " Array <0ID> is on the current array controller has been moved from another controller without its online spare drive and will be reported as failed.<BR><BR>To correct this problem, move the online spare drive from the original controller or remove the failed online spare drive from the array and save your configuration. ";
PX_TAG_ERR_TOO_MANY_ARRAYS = " The system has too many arrays than the current controller can handle. ";
PX_TAG_ERR_TOO_MANY_LOG_DRIVES = " The system has too many logical drives than the current controller can handle. ";
PX_TAG_ERR_TWO_HOST_SAME_LOOP = " ACU has detected two or more host controllers connected to the same set of fibre channel devices. Unless this problem is corrected, you will not be able to configure any array controllers. Please correct this problem by disconnecting all but one host controller from the fibre channel loop. ";
PX_TAG_ERR_WRONG_DRIVE_REPLACED = " The physical drives attached to <1phydrivelocation> on the current array controller has been incorrectly replaced.<BR><BR>Return the original drive to its slot and replace the drive that failed.<BR><BR>Configuration changes to the array are not allowed until this problem is corrected. For more information, run the Array Diagnostics Utility. ";



PX_TAG_LOCK_FREE = " The current array controller has not been locked for exclusive use by ACU. ";

PX_TAG_LOG_DRIVE_ADG_MAX_PHYSICAL_DRIVE_LIMIT_REACHED = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) cannot be migrated to Advanced Data Guard (ADG) raid because the limits of the physical drives have been reached. ";
PX_TAG_LOG_DRIVE_CANNOT_TRANSFORM_FAILED_DRIVE = " Logical drive <0ID>(<1RAID>, in array <2ARRAY>) cannot be migrated or extended.<BR><BR>Extension and migration are not possible because either the logical drive is failed or another logical drive in this array is failed.<BR><BR>To correct the problem, replace any failed physical drives and reboot the system. For more information, run the Array Diagnostics Utility. ";

PX_TAG_LOG_DRIVE_CANNOT_TRANSFORM_REBUILDING_DRIVE = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) cannot be migrated or extended.<BR><BR>One or more logical drives on the controller are currently rebuilding.<BR><BR>Logical drive extension or migration will be possible when this process is complete. ";
PX_TAG_LOG_DRIVE_CANNOT_TRANSFORM_UNCONFIGURED_DRIVE = " Logical drive <0ID>(<1RAID>, in array <2ARRAY>) cannot be extended because it has a configuration that has never been saved.<BR><BR>Logical drive extension increases the size of a logical drive without causing data loss. Since only saved logical drives can contain data, you can only extend logical drives that have a saved configuration. ";
PX_TAG_LOG_DRIVE_DATA_LOSS_DUE_TO_GEOMETRY_CHANGE = " The extension request on logical drive <0ID> (<1RAID>, in array <2ARRAY>) is not possible because it would result in data loss. ";
PX_TAG_LOG_DRIVE_INVALID_STRIPE_SIZE = " Logical drive <0ID> (<1RAID>, in array <2ARRAY>) has been configured with a stripe size unrecognized by ACU.<BR><BR>Use ACU to delete this logical drive and reconfigure it. If the deletion operation is not successful, delete and recreate array <2ARRAY>. ";
PX_TAG_LOG_DRIVE_MAX_EXTENSION_SIZE_REACHED = " Extension is no longer possible for logical drive <0ID> (<1RAID>, in array <2ARRAY>). This logical drive has reached its maximum size.<BR><BR>The maximum size of a logical drive is determined by its layout of heads, sectors, and cylinders.<UL><LI>If the logical drive was created with ACU 2.50A or later, the maximum size is 255 GB for normal logical drives or 502 GB for maximum boot size logical drives.<LI>If the logical drive was created with a version before ACU 2.50A, the maximum size will vary depending on the controller OS settingand the size of the logical drive when it was created.</UL> ";
PX_TAG_LOG_DRIVE_MAX_PHYSICAL_DRIVE_LIMIT_REACHED_FOR_RAID_MIGRATION = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) cannot be migrated or extended.<BR><BR>The maximum number of physical drives undergoing raid migration has been reached.<BR><BR>Logical drive extension or migration will be possible when this process is complete. ";
PX_TAG_LOG_DRIVE_NO_PHYS_DRIVES = " The physical drives that form logical drive <0ID> (<1RAID>, in array <2ARRAY>) either have failed or removed from the array.<BR><BR>Delete this logical drive, replace the failed or removed physical drives, and create a new logical drive instead. ";
PX_TAG_LOG_DRIVE_TRANSFORMING = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) cannot be migrated or extended.<BR><BR>Configuration changes to this logical drive are not possible because the logical drive is currently performing capacity expansion, RAID/stripe size migration, or logical drive extension.<BR><BR>You will be able to modify this logical drive when this process is complete. ";
PX_TAG_LOGDRV_MAX_ACL_ENTRIES_REACHED = " Logical drive <0ID>(<1RAID>, in array <2ARRAY>) cannot have access to any more connections.<BR><BR>This logical drive already has the maximum number of connections that can have access to this logical drive.<BR><BR>To add access for another connection, you must first remove access for an existing connection. ";

PX_TAG_LOG_DRIVE_RAID0_SPARE = " Logical drive <0ID> (raid level <1RAID>, in array <2ARRAY>) has an online spare assigned.<BR><BR>Restart ACU or delete the logical drive and try this operation again. ";
PX_TAG_LOG_DRIVE_TOO_BIG = " The size of logical drive <0ID> (<1RAID> in array <2ARRAY>) is configured to be <3SIZE>, which is too big and cannot be supported by the current version of ACU.<BR><BR>Delete this logical drive and create a new logical drive with a drive size that ACU supports. ";
PX_TAG_LOG_DRIVE_TOO_SMALL = " The size of logical drive <0ID> (<1RAID> in array <2ARRAY>) is configured to be <3SIZE>, which is too small and cannot be supported by the current version of ACU.<BR><BR>Delete this logical drive and create a new logical drive with a drive size that ACU supports. ";
PX_TAG_LOG_DRIVE_UNKNOWN_FAULT_TOLERANCE = " Logical drive <0ID> (<1RAID>, in array <2ARRAY>) has been configured with a raid level unrecognized by ACU.<BR><BR>Use ACU to delete this logical drive and reconfigure it.  If the deletion operation is not successful, delete and recreate the array. ";
PX_TAG_LOG_DRIVE_VERSION_MISMATCH = " The current array controller has been configured with a more recent version of ACU or the Array Configuration Utility.<BR><BR>To prevent data loss, configuration changes to this controller are not allowed. Please upgrade to the latest version to be able to continue to configure this controller ";
PX_TAG_WARN_ACCESS_REMOVED_FROM_LOGICAL_DRIVE = " Logical drive <0ID>(<1RAID>, in array <2ARRAY>) has been denied of one of the connections it previously had access.<BR><BR>After saving the configuration, further I/O from the adapters that are providing these connections to this logical drive will fail. Also, any writes cached by the operating system on the servers with these adapters will not be written to the logical drive.<BR><BR>Before saving the configuration, make sure the logical drive is not in use by the operating systems on the servers that no longer have access. ";
PX_TAG_WARN_BIG_LOG_DRIVE = " Logical drive <0ID> (<3SIZE>MB, <1RAID>, in array <2ARRAY>) was created by an array controller that supports logical drives up to 502GB and transferred to the current controller which does not support big logical drives. The logical drive could be inaccessible. ";
PX_TAG_WARN_CONTROLLER_REDUNDANT_CACHE_SIZE_MISMATCH = " The current array controller has been setup to be a part of a redundant pair of controllers but the array accelerator cache sizes are different on the two controllers.<BR><BR>Make certain that both controllers are using array accelerators with the same amount of cache memory installed.<BR><BR>Run the Array Diagnostics Utility for more information. ";
PX_TAG_WARN_CREATE_NT_DRIVE_LIMIT = " The current array controller has been configured for eight logical drives.<BR><BR>The operating system for which this controller has been configured does not support more than eight logical drives. You cannot create more than this limit. ";
PX_TAG_WARN_LOG_DRIVE_NOT_AVAILABLE = " Logical drive <0ID> (<1RAID> in array <2ARRAY>) is not yet available. ";

PX_TAG_WARN_NON_COMPAQ_DRIVE = " The current array controller has detected an unknown drive attached to <1phydrivelocation>.<BR><BR>The attached drive is not a Compaq drive and is therefore not covered under the Compaq PreFailure Warranty. ";
PX_TAG_WARN_ONLINE = " Saving the current configuration will result in data loss for one or more logical drives. If you are running Microsoft(R) Windows 2000, before continuing, you should uninstall those logical drives from Device Manager to make sure the operating system is not using them. ";
PX_TAG_WARN_READY_EXPAND = " Logical drive <0ID> (<1RAID> in array <2ARRAY>) is being queued for expansion. ";
PX_TAG_WARN_READY_RECOVERY = " Logical drive <0ID> (<1RAID> in array <2ARRAY>) is being queued for recovery. ";
PX_TAG_WARN_PARITY_INITIALIZATION_NOT_COMPLETE = " Background parity initialization is currently queued or in progress on logical drive <0ID> (<1RAID> in array <2ARRAY>).  If background parity initialization is queued, it will start when I/O is performed on the drive.  When background parity initialization completes, the performance of the logical drive will improve. ";
PX_TAG_WARN_RESOURCES_LOW = " The current array controller does not currently have sufficient resources to perform array accelerator operations.<BR><BR>Array accelerator operations are temporarily suspended. ";
PX_TAG_WARN_SIZE_CHANGE_FOR_ALIGNMENT = " The size of logical drive <0ID> (<1RAID> in array <2ARRAY>) has been adjusted because of internal alignment. ";
PX_TAG_WARN_SIZE_TOO_SMALL_FOR_GEOMETRY = " One or more physical drives that have been added to array <2ARRAY> are too small.<BR><BR>Select and assign only those drives that are at least as large as the smallest drive already assigned. ";
PX_TAG_WARN_UNKNOWN_COMPAQ_DRIVE = " The current array controller has detected an unsupported Compaq drive attached to <1phydrivelocation>.<BR><BR>This drive is not intended for use on array controllers and is unavailable for use. ";

// SS510p3 translations
PX_TAG_INVALID_FIRMWARE_IMAGE = " The firmware image file specified does not exist or is not valid. Please enter a new image after clicking on the back button. ";

// SS550p1(Phoenix) translations

PX_TAG_ERR_FAILSAFE_MISCONFIGURED = " The failsafe feature of the current array controller is misconfigured. Array accelerator operations such as Expansion, Extension, and Migration are permanently disabled.<BR><BR>For more information, run the Array Diagnostics Utility. ";
PX_TAG_WARN_ARRAY_DISABLED = " The current array controller has temporarily disabled array accelerator. Array accelerator operations such as Expansion, Extension, and Migration are disabled.<BR><BR>The array accelerator will be enabled following a system reset. ";

PX_TAG_LOG_DRIVE_INVALID_INCREASE_IN_OFFSET = " The requested expansion, extension or migration is not supported with the current configuration.<BR><BR>Perform the following steps to complete the operation on this logical drive:<OL><LI>Save the current configuration of this controller.<LI>Wait for array expansion, logical drive extension, and/or logical drive migration to complete if necessary.<LI>Perform the expansion, extension, or migration. </OL> ";
PX_TAG_LOG_DRIVE_INVALID_DECREASE_IN_OFFSET = " The requested expansion, extension or migration is not supported with the current configuration.<BR><BR>Perform the following steps to complete the operation on this logical drive:<OL><LI>Save the current configuration of this controller.<LI>Wait for array expansion, logical drive extension, and/or logical drive migration to complete if necessary.<LI>Perform the expansion, extension, or migration. </OL> ";
PX_TAG_CTRLR_LOG_DRIVE_TRANSFORMATION_MEMORY_TOO_SMALL = " The requested expansion, extension or migration is not supported with the current configuration.<BR><BR>Perform the following steps to complete the operation on this logical drive:<OL><LI>Save the current configuration of this controller.<LI>Wait for array expansion, logical drive extension, and/or logical drive migration to complete if necessary.<LI>Perform the expansion, extension, or migration. </OL> ";

PX_TAG_ARRAY_ADG_IMPOSSIBLE = " At least one logical drive on the array is using Advanced Data Guarding (RAID 6 (ADG)) fault tolerance. This fault tolerance method requires at least four physical drives.<BR><BR>Return to the previous screen and change the array so it uses at least four physical drives. ";
PX_TAG_ARRAY_RAID_5_IMPOSSIBLE = " At least one logical drive on the array is using RAID 5 fault tolerance. This fault tolerance method requires at least three physical drives.<BR><BR>Return to the previous screen and change the array so it uses at least three physical drives. ";
PX_TAG_ARRAY_RAID_4_IMPOSSIBLE = " At least one logical drive on the array is using RAID 4 fault tolerance. This fault tolerance method requires at least three physical drives.<BR><BR>Return to the previous screen and change the array so it uses at least three physical drives. ";
PX_TAG_ARRAY_RAID_1_IMPOSSIBLE = " At least one logical drive on the array is using RAID 1+0 fault tolerance. This fault tolerance method requires an even number of physical drives.<BR><BR>Return to the previous screen and change the array so it uses an even number of physical drives. ";
PX_TAG_LOG_DRIVE_RAID1_MAX_PHYSICAL_DRIVE_LIMIT_REACHED = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) has been created on an array that has more than 14 physical drives assigned and contains at least one RAID 1+0 logical drive.<BR><BR>Expanding the array or creating additional logical drives on this array is not recommended. Using more than 14 drives in an array increases the likelihood of multiple drive failures. A failure of two or more drives will result in data loss for all data on the logical drive. NOTE: Using between 14 and 28 drives is a medium risk while using more than 29 drives on an array is a high risk. <BR><BR>To reduce the risk of multiple drive failures, assign an online spare to the array and use the controller settings screen to set the rebuild priority to high. While this will not reduce the risk of using greater than the recommended number of drives to create a single RAID 1+0 logical drive, it should reduce the risk associated with such as decision. ";
PX_TAG_SWITCH_SAVE_ERROR = " There was an error saving the IP settings to the switch.<BR><BR>Possible causes for this problem include:<UL><LI>The IP addresses entered are invalid.<LI>A data cable has a bad connection.<LI>The switch is resetting or is not in a ready state.</UL><BR>Please go back to the switch settings page and check the IP addresses entered. ";
PX_TAG_LOCK_EXPIRED = " The current array controller was in use by a configuration program running on another machine. You may override the lock on this controller if you are sure the other machine has finished configuring it. Overriding the lock will cause any changes made by the other utility to be lost. Otherwise, choose Cancel and select a different controller.";
PX_TAG_LOCKED_BY_OTHER_USER = " The current array controller is in use by a browser running on another client machine. <BR><BR>You can override the other browser's changes by clicking on the Override link below. Overriding will cause any changes made by the other browser to be lost. Otherwise, choose Cancel and select a different controller.";
PX_TAG_CTRLR_SPARE_NOT_SPARE = " The current array controller cannot be configured by this program.<BR><BR>The controller has an invalid configuration in which a spare drive is also acting as a data drive.<BR><BR>To correct this problem, upgrade the controller firmware to the latest version. For more information, run the Array Diagnostics Utility.";
PX_TAG_ERR_INVALID_CACHE_CONFIGURATION = " The array accelerator on the current array controller is not configured properly.<BR><BR>An invalid setting is currently being used for the read and write cache sizes of the array accelerator.  The array accelerator ratio has been reset to the default value.<BR><BR>Possible causes for this problem include:<UL><LI>ACU or the Array Configuration Utility has been upgraded to a newer version. Downgrading to an older version of the ACU or ACU is not recommended.<LI>The array accelerator has been removed from this controller.<LI>The array accelerator from this controller has been replaced with an array accelerator of a different size.<LI>One or more logical drives were created on a different controller and moved to the current controller.</UL>Possible solutions for this problem include:<UL><LI>Check product documentation to make sure you are using a supported configuration.<LI>Replace the array accelerator on this controller.<LI>Verify the array accelerator settings and save the configuration. At least one logical drive with the array accelerator enabled must exist on the controller.</UL> ";
PX_TAG_INVAID_FIRMWARE_IMAGE = " The firmware image specified could not be read or does not exist. Please enter a valid firmware image. ";

PX_TAG_ERR_CONTROLLER_DROPPED = " The current controller cannot be configured by this program. The controller did not respond correctly to configuration commands.<BR><BR>Possible causes for this problem include:<UL><LI>A hardware failure occurred.<BR><BR>Possible solutions for this problem include:<UL><LI>Check the power cables and all connections. Then, use Rescan Controllers in ACU to attempt to communicate with the controller.</UL> ";
PX_TAG_LOCK_ERROR = " At least one controller cannot be configured by this program.<BR><BR>One or more controllers did not respond correctly to configuration commands. The problem could be caused by bad fibre components.<BR><BR><OL><LI>Check the power cables on the RAID Arrays and Storage Hubs.<LI>Check the fibre cables and optical emitters on the Fibre Channel Arbitrated Loop.<LI>Use Rescan Controllers in ACU to attempt to communicate with the controllers that did not respond.</OL> ";
PX_TAG_LOCK_FAILED_ON_SAVE = " The current array controller has been locked by a configuration program running on another machine.<BR><BR>Configuration changes could not be saved because another program is configuring this controller. Only one configuration program can configure this controller at a time. Run ACU when the other program is finished. If no other program is currently running, the lock will automatically expire in less than one hour. ";
PX_TAG_LOCKED_BY_OTHER_MACHINE = " The current array controller has either been locked by a configuration program running on another machine or is a standby controller.<BR><BR>Only one configuration program can configure this controller at a time. Run ACU when the other program is finished. If no other program is currently running, the lock will automatically expire in less than one hour.<BR><BR>If the controller is a standby controller, the active controller may have failed. Please correct this problem before continuing. ";
PX_TAG_ERR_INTERIM_RECOVERY = " The current array controller has a bad or missing drive.<BR><BR>Logical drive <0ID> (<1RAID> in array <2ARRAY>) is operating with reduced performance and a further physical drive failure may result in data loss depending on the fault tolerance.<BR><BR>Configuration changes to this logical drive or any other logical drive in array <2ARRAY> are not allowed until this problem is corrected.<BR><BR>To correct this problem, check the data and power connections to the physical drives or replace the failed drive. For more information, run the Array Diagnostics Utility. ";

PX_TAG_WARN_INIT_NT_DRIVE_LIMIT = " The current array controller has been configured for more than eight logical drives.<BR><BR>The operating system for which this controller has been configured does not support more than eight logical drives. In order for more than eight logical drives to be supported, Service Pack 5 is required. Otherwise, Disk Administrator will not detect more than eight logical drives.";

PX_TAG_LOG_DRIVE_RAID5_MAX_PHYSICAL_DRIVE_LIMIT_REACHED = " Logical drive <0ID>(<1RAID>, in array <2ARRAY>) has been created on an array that has more than 14 physical drives assigned and contains at least one RAID 5 logical drive.<BR><BR>Expanding the array or creating additional logical drives on this array is not recommended. Using more than 14 drives in an array increases the likelihood of multiple drive failures. A failure of two or more drives will result in data loss for all data on the logical drive. NOTE: Using between 14 and 28 drives is a medium risk while using more than 29 drives on an array is a high risk.<BR><BR>To reduce the risk of multiple drive failures, assign one or more spares to the array and use the controller settings screen to set the rebuild priority to high. While this will not reduce the risk of using greater than the recommended number of drives to create a single RAID 5 logical drive, it should reduce the risk associated with such as decision. ";
PX_TAG_LOG_DRIVE_RAID4_MAX_PHYSICAL_DRIVE_LIMIT_REACHED = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) has been created on an array that has more than 14 physical drives assigned and contains at least one RAID 4 logical drive.<BR><BR>Expanding the array or creating additional logical drives on this array is not recommended. Using more than 14 drives in an array increases the likelihood of multiple drive failures. A failure of two or more drives will result in data loss for all data on the logical drive. NOTE: Using between 14 and 28 drives is a medium risk while using more than 29 drives on an array is a high risk. <BR><BR>To reduce the risk of multiple drive failures, assign one or more spares to the array and use the controller settings screen to set the rebuild priority to high. While this will not reduce the risk of using greater than the recommended number of drives to create a single RAID 4 logical drive, it should reduce the risk associated with such as decision. ";
PX_TAG_LOG_DRIVE_RAID0_MAX_PHYSICAL_DRIVE_LIMIT_REACHED = " Logical drive <0ID>(raid level <1RAID>, in array <2ARRAY>) has been created on an array that has more than 14 physical drives assigned and contains at least one RAID 0 logical drive.<BR><BR>Expanding the array or creating additional logical drives on this array is not recommended. Using more than 14 drives in an array increases the likelihood of multiple drive failures. A failure of two or more drives will result in data loss for all data on the logical drive. NOTE: Using between 14 and 28 drives is a medium risk while using more than 29 drives on an array is a high risk. <BR><BR>To reduce the risk of multiple drive failures, assign one or more spares to the array and use the controller settings screen to set the rebuild priority to high. While this will not reduce the risk of using greater than the recommended number of drives to create a single RAID 0 logical drive, it should reduce the risk associated with such as decision. ";

PX_TAG_CTRLR_ALL_PHYSICAL_DRIVES_FAILED_ERROR = " All the Physical Drives on the current array Controller have failed.<BR><BR>Please check all connections and make sure the drives are inserted properly. ";
PX_TAG_CTRLR_CANNOT_SET_DUPLICATE_KEY_ERROR = " The License Key entered could not be set due to the fact that the submitted Key was a duplicate of an existing License Key.<BR><BR>Please check your License Key data and try to enter the Key again. ";
PX_TAG_CTRLR_SET_INVALID_KEY_ERROR = " The License Key entered could not be set due to the fact that the data submitted was Invalid.<BR><BR>Please check your License Key data and try to enter the Key again. ";
PX_TAG_CTRLR_SET_MAX_KEY_REACHED_ERROR = " The License Key entered could not be set due to the fact that the Controller has reached the maximum amount of License Keys allowed.<BR><BR>To enter the desired License Key, at least one existing License Key must be deleted from the Controller.<BR><BR>To delete an existing License Key, please see the Delete Key Task under License Key Management. ";
PX_TAG_CTRLR_LICENSE_KEY_NOT_SUPPORTED_ERROR = " This Controller does not support License Key Management.<BR><BR>As always, please make sure to have the latest Firmware version on your Controller. ";
PX_TAG_CTRLR_NO_PHYSICAL_DRIVES_ERROR = " The current array Controller does not have any physical drives attached to it.<BR><BR>Please check all connections, make sure the drives are inserted properly or add at least one Physical Drive to the Controller. ";
PX_TAG_CTRLR_CANNOT_SET_INVALID_PRODUCTID_ERROR = " The License Key entered does not enable any available Features on this Controller.";     
PX_TAG_CTRLR_CANNOT_DELETE_KEY_NOT_PRESENT_ERROR = " The License Key selected could not be deleted.<BR><BR> ACU cannot delete a License Key that does not exist on the current Controller. ";

PX_TAG_WARN_CACHE_DISABLED_SINCE_ADG_ENABLER_MISSING = " The current array controller has one or more logical drives using a fault tolerance of RAID 6 (ADG), and the RAID 6 (ADG) Enabler Module is either missing or not functioning properly.<BR><BR>Without the RAID 6 (ADG) Enabler Module, the Array Accelerator will be temporarily disabled, and the controller will operate at reduced performance. If array expansion, logical drive migration, or logical drive extension was in progress when this condition occurred, they will be allowed to complete. However, future array expansions, and logical drive extensions will not be allowed until this problem is resolved. <BR><BR>Possible solutions for this problem include:<OL><LI>Upgrade the controller firmware to the latest version.<LI>Replace the RAID 6 (ADG) Enabler Module on the controller.<LI>Migrate all RAID 6 (ADG) logical drives on this controller to another RAID level.<LI>If the controller has License Key support, install a valid License Key that enables the RAID 6 (ADG) feature.</OL> ";
PX_TAG_CTRLR_RAID_ENABLER_NOT_PRESENT = " You cannot migrate logical drives on this controller to RAID 6 (ADG) because the RAID 6 (ADG) Enabler Module on the controller is either missing or not functioning properly.<BR><BR>Possible solutions for this problem include:<OL><LI>Upgrade the controller firmware to the latest version.<LI>Replace the RAID 6 (ADG) Enabler Module on the controller.<LI>If the controller has License Key support, install a valid License Key that enables the RAID 6 (ADG) feature.</OL> ";

// Phoenixpass3 translations
PX_TAG_ARRAY_SPARE_TOO_SMALL = "The online spare drive(s) that have been assigned to one or more arrays are too small.<BR><BR>The online spare(s) must be at least as large as the smallest physical drive in the array.<BR><BR>Possible solutions for this problem include:<UL><LI>Replace the spare(s) manually with physical drive(s) that are as large as the smallest physical drive in the array.<LI>Use the Spare Management link to remove the spare(s) or replace them with <BR> spare(s) that are as large as the smallest physical drive in the array.<LI>The online spare(s) will be removed from the array if any configuration changes are made to the controller and saved.</UL>"

PX_TAG_ARRAY_SPACE_AT_END = " Array <0ID> is not optimally configured. It still contains free space from which a logical drive can be created.<BR><BR>Run the Express Configuration, Standard Configuration, or Configuration Wizards and then Create Logical Drive to optimally configure this array. ";

PX_TAG_CTRLR_NOT_CONFIG = " The current array controller is not configured.<BR><BR>Select Express Configuration, Standard Configuration, or Configuration Wizards to configure the current array controller. ";

PX_TAG_CTRLR_UNUSED_PHYS_DRIVES = " The current array controller contains physical drives that are not added into any array.<BR><BR>Run Express Configuration, Standard Configuration, or Configuration Wizards, to create an array and add logical drives to it. ";

// SS 6.10 Pass #1 Translations
PX_TAG_CTRLR_HOST_MODE_ATTRIBUTE_LIST_FULL = " The attribute list of Host Bus Adapters with Host Mode on this controller is full. ";
PX_TAG_UNKNOWN_REPLICA_ERROR = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> has an unknown error related to snapshot resource volumes. ";
PX_TAG_ERR_RESOURCE_DISCONNECTED_FROM_SOURCE = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> is a snapshot resource volume and has been disconnected from its owner.<BR><BR>Possible causes and solutions for this problem include:<UL><LI>A physical drive has failed or has been removed. Replace all failed or missing physical drives.<LI>The snapshot resource volume and/or its owner has been moved to a different array controller or server. Make sure that snapshot resource volumes and their owners are moved together.<LI>The snapshot resource volume owner has been deleted. In this case, you can delete the snapshot resource volume since its owner no longer exists.</UL>";
PX_TAG_ERR_RESOURCE_CANNOT_LOCATE_SOURCE = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> is a snapshot resource volume, and its owner logical drive cannot be located.<BR><BR>Possible causes and solutions for this problem include:<UL><LI>A physical drive has failed or has been removed. Replace all failed or missing physical drives.<LI>The snapshot resource volume and/or its owner has been moved to a different array controller or server. Make sure that snapshot resource volumes and their owners are moved together.<LI>The snapshot resource volume owner has been deleted. In this case, you can delete the snapshot resource volume since its owner no longer exists.</UL>";
PX_TAG_ERR_SOURCE_CANNOT_LOCATE_RESOURCE = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> cannot locate its snapshot resource volume.<BR><BR>Possible causes and solutions for this problem include:<UL><LI>A physical drive has failed or has been removed. Replace all failed or missing physical drives.<LI>The snapshot resource volume and/or its owner has been moved to a different array controller or server. Make sure that snapshot resource volumes and their owners are moved together.<LI>The snapshot resource volume has been deleted. In this case, you can create a new snapshot resource volume for the logical drive.</UL>";
PX_TAG_ERR_SOURCE_FAILED = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> is a snapshot resource volume and has a failed logical drive owner.<BR><BR>This may have been caused by a physical drive that has failed or has been removed. Replace all failed or missing physical drives.";
PX_TAG_ERR_RESOURCE_FAILED = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> is a resource volume that is failed or has a resource volume that is failed.<BR><BR>This may have been caused by a physical drive that has failed or has been removed. Replace all failed or missing physical drives.";
PX_TAG_ERR_FIRMWARE_SETTINGS_WRONG = " The firmware version of this array controller is not compatible with the firmware version of the connected controller<BR><BR>Upgrade the firmware on one or both of the controllers to ensure that both are using the correct firmware versions.";

PX_TAG_WARN_RESOURCE_VOLUMES_EXIST_WITH_NO_LICENSE_KEY = " The current array controller has one or more logical drives that are snapshot resource volumes, and the snapshot feature license key is not installed.<BR><BR>Without the snapshot license key, the snapshot feature is disabled. No new snapshot resource volumes can be created. <BR><BR>To fix this problem, install a valid license key that enables the snapshot feature.</OL> ";
PX_TAG_WARN_LOG_DRIVE_EXPANDING = " The current array controller is performing capacity expansion, extension, or migration on array <2ARRAY>.<BR><BR>Additional expansions, extensions, and migrations are not allowed on this controller until this process is complete. Also, configuration changes to any other array that is waiting for expansion or rebuild are not possible until this process completes. If unused space exists, additional logical drives can be created. Otherwise, most configuration changes are not allowed until this process is complete.";
PX_TAG_WARN_LOG_DRIVE_REBUILDING = " The current array controller is rebuilding logical drive <0ID> (<1RAID>).<BR><BR>Configuration changes to this logical drive or any other logical drive in array <2ARRAY> are not allowed until rebuilding is complete. Also, configuration changes to any other array that is waiting for expansion or rebuild are not possible until this process completes. If unused space exists, additional logical drives can be created. Otherwise, most configuration changes are not allowed until this process is complete. ";
PX_TAG_LOG_DRIVE_REBUILDING = " The current array controller is currently rebuilding logical drive <0ID> (<1RAID>, in array <2ARRAY>).<BR><BR>Configuration changes to this logical drive or any other logical drive in array <2ARRAY> are not allowed until rebuilding is complete. Also, configuration changes to any other array that is waiting for expansion or rebuild are not possible until this process completes. If unused space exists, additional logical drives can be created. Otherwise, most configuration changes are not allowed until this process is complete. ";

// SS 620 Pass #4 Translations
PX_TAG_CTRLR_CANNOT_DELETE_DEMO_KEY_ERROR = " The License Key selected could not be deleted.<BR><BR> ACU cannot delete a License Key that has been designated as a Demo Key. ";
PX_TAG_ARRAY_SPACE_BETWEEN_DRIVES = " Array <2ID> contains space between logical drives.<BR><BR>To correct the problem do the following:<UL><LI>Select the array controller.<LI>Select Standard Configuration<LI>Select the appropriate controller in Configuration View.<LI>Select Logical Drive Array Accelerator Settings.<LI>Change the array accelerator setting for any of the logical drives by deselecting or selecting the check box.<LI>Select OK.<LI>Select SAVE to commit the changes.</UL>";
PX_TAG_ARRAY_LOG_DRIVES_OVERLAP = " The current array controller cannot be configured by this program.<BR><BR>The controller has an invalid configuration in which overlapping logical drives exist. ";
PX_TAG_CTRLR_OVERLAPPING_ARRAYS = " The current array controller cannot be configured by this program.<BR><BR>The controller has an invalid configuration in which overlapping arrays exist. ";
PX_TAG_ERR_RESOURCE_OBSELETE = " Logical drive <0ID> (<1RAID>) in Array <2ARRAY> is a snapshot resource volume that is obsolete.<BR><BR>The snapshot resource volume is obsolete because its owner is no longer using this snapshot resource volume.  If this resource volume is the last logical drive in an array, it can safely be deleted since it is no longer being used. ";
PX_TAG_ERR_CONTROLLER_SAVE = " The current array controller reported an error when attempting to save the configuration.<BR><BR>Possible causes for this problem include:<UL><LI>A physical drive has been removed.<LI>A data cable has a bad connection.<LI>Two or more drives have duplicate SCSI IDs.<LI>Power to the external drives is off.<LI>The OS array controller driver is missing.<LI>For UNIX or Linux, you may be attempting to delete or remove access from one or more logical drives that are open or mounted. Close or unmount the logical drives before deleting or removing access from them.</UL>";

// SS 640 Pass #3 Translations
PX_TAG_ERR_ARRAY_SPARE_FAILED = "  Array <2ID> has a bad or missing online spare drive attached to <1phydrivelocation>. <BR><BR>Configuration changes to array <2ID> are not allowed until this problem is corrected.<BR><BR>To correct this problem, check the data and power connections to the spare drive or replace the spare drive if necessary. For more information, run the Array Diagnostics Utility. ";

// SS 700 Pass6 Translations
PX_TAG_LOG_DRIVE_CANNOT_TRANSFORM_MOVED_DRIVE = " The current array controller has one or more logical drives in array <2ARRAY> that were created on a different controller and moved to it. Expansion, Extension, and Migration will be disabled on the array as long as the transported logical drive(s) exist on it and there is no battery backed cache on this controller.<BR><BR>If you want to perform any of these operations, possible solutions include:<UL><LI>Move the array back to the original controller.<LI>If your controller supports it, install an array accelerator (battery backed write cache).</UL>";
PX_TAG_INVALID_TAG = "<OL><LI>The controller is in use by another browser running on this machine. Close the other browser or choose a different controller to configure. You can also override the other browser's changes by clicking on the Override link below. Overriding will cause any changes made by the other browser to be lost. Otherwise, choose Cancel and select a different controller.</LI><BR><BR><LI> The controller was being configured when the previous login session expired. Use the Override link below to start configuring the controller. Otherwise, choose Cancel and select a different controller.</LI></OL>";
PX_TAG_ERR_CONTROLLER_COMMUNICATIONS = " The current array controller cannot be configured by this program. The controller did not respond correctly to configuration commands.<BR><BR>Possible causes for this problem include:<UL><LI>A hardware failure occurred.<LI>Using an unsupported Driver.</UL><BR><BR>Possible solutions for this problem include:<UL><LI>Check the power cables and all connections. Then, use Rescan Controllers in ACU to attempt to communicate with the controller.<LI>Upgrade the controller firmware to the latest version.<LI>Check product documentation to make sure you are using a supported configuration.<LI>Check to make sure you are using a supported Driver.</UL> ";

// SS 7.10 Pass 3 Translations
PX_TAG_ERR_LOG_DRIVE_FAILED = " The current array controller has a failed logical drive.<BR><BR>Logical drive <0ID> (<1RAID> in array <2ARRAY>) has failed and cannot be used.  All data on this logical drive has been lost.  Configuration changes to this logical drive are not allowed until this problem is corrected. Also, if your controller supports Expansion, Extension, or Migration, these operations will not be available for any logical drives in the array until the problem is corrected.<BR><BR>Replace any failed physical drives and re-enable the failed logical drive. For more information, run the Array Diagnostics Utility. ";
PX_TAG_ERR_NO_DRIVES = " There are no physical drives attached to the current array controller.<BR><BR>If this controller is being used as a host controller for an external controller, the physical drives attached to the external controller will only be visible by selecting the external controller.<BR><BR>If the controller is not being used as a host controller, one of the following could cause the problem: <UL><LI>There are no supported drives attached to the controller.<LI>A data cable has a bad connection.<LI>Two or more drives have duplicate SCSI IDs.<LI>Power to the external drives is off.<LI>The OS array controller driver is missing.</UL> ";

// SS 7.20 10/11/04 TRANSLATIONS
PX_TAG_WARN_VALID_ARRAY_DATA = " The current array controller had valid data stored in its battery backed write cache the last time it was reset or was powered up.  This indicates that the system may not have been shut down gracefully.  The array controller has automatically written, or has attempted to write, this data to the drives.  This message will continue to be displayed until the next reset or power-cycle of the array controller. ";
PX_TAG_WARN_SYS_MGMT_DRIVER_NOT_LOADED = " Controller slot information will be unavailable during this ACU session. All controller slot information will appear as 'Unknown'. This is either because the System Management Driver is not installed on the server, or the server may be running Microsoft Windows NT 4.0. <BR><BR>If you are not running Microsoft Windows NT 4.0 and you want to see slot information, please install the System Management Driver. ";

// SS 7.20 11/29/04 TRANSLATIONS
PX_TAG_ERR_CONTROLLER_REDUNDANT_ICL_NOT_ESTABLISHED = " The current array controller has been set up to be part of a redundant pair of controllers but redundancy is not enabled since communication cannot be established with the standby controller.<BR><BR>If you have manually disabled the redundant standby controller, this condition is expected.  Otherwise, to correct this problem, make sure that the data cables are properly connected or that the controllers are firmly seated in the storage systems.<BR><BR>For more information run the Array Diagnostic Utility. ";
PX_TAG_ERR_CONTROLLER_REDUNDANT_NOT_EDITABLE = " This array controller has been setup to be part of a redundant pair of controllers but cannot be configured by this program.<BR><BR>Possible causes for this problem include:<UL><LI>Both redundant controllers are in active states<LI>Both redundant controllers are in standby states<LI>Communication with the active controller cannot be established<LI>The Inter-Controller Link has failed and communication with the standby controller cannot be established<LI>The standby controller has been disabled</UL><BR><BR>Make sure that all data cables are properly connected, controllers are firmly seated in the storage systems and that you are using the latest version of the Array Configuration Utility. If you have manually disabled the redundant standby controller, then please remove it from the system and select the controller again in ACU.";

// SS 7.40 Pass 4 Translations
PX_TAG_WARN_BATTERY_LOW = " The current array controller has one or more array accelerator batteries that are recharging.<BR><BR>Array accelerator operations such as Expansion, Extension, and Migration are temporarily suspended until the batteries are fully charged. Array accelerator operations will automatically resume when charging is complete.";

// SS 7.50.8.0 9/28/05 TRANSLATIONS
PX_TAG_WARN_REDUNDANT_CONTROLLER_BATTERY_LOW = " The redundant array controller has one or more array accelerator batteries that are recharging.<BR><BR>Array accelerator operations such as Expansion, Extension, and Migration are temporarily suspended until the batteries are fully charged. Array accelerator operations will automatically resume when charging is complete.";
PX_TAG_ERR_REDUNDANT_CONTROLLER_BATTERY_FAILED = " The redundant array controller has one or more array accelerator batteries that are failed. <BR><BR>Array accelerator operations such as Expansion, Extension, and Migration are temporarily suspended until the batteries are replaced. Please consult the user guide to identify and replace the failed batteries.";
PX_TAG_ERR_BATTERY_REMOVED = " The cache has been disabled because a battery has been hot removed.<BR><BR>Array accelerator operations such as Expansion, Extension, and Migration are suspended until the battery is re-attached and the server is rebooted.  Please consult the user guide to identify and replace the removed battery.";

// SS 7.85.5 3/14/2007 Translations
PX_TAG_ERR_BATTERY_FAILED = " The current array controller has one or more array accelerator batteries that are failed. See the 'More Information' page for details.<BR><BR>Array accelerator operations such as Expansion, Extension, and Migration are temporarily suspended until the batteries are replaced. Please consult the user guide to identify and replace the failed batteries.";
PX_TAG_ERR_DEVICE_IN_USE = " There was an error when attempting to delete or remove access from one or more logical drives.  The driver reported one or more open file pointers to one or more logical drives you were attempting to delete.  This could be due to a mounted drive or a background process which has opened a file pointer to this drive(s).  Please close or unmount the logical drive(s), stop any background processes which may have opened the logical drive, and retry the operation."
PX_TAG_ERR_BATTERY_LOW = " The current array controller had an unexpected array accelerator battery voltage level drop which may have resulted in corrupted data in its cache.";
PX_TAG_ERR_DATA_MISCOMPARE_FIRMWARE = "FIRMWARE UPGRADE REQUIRED: The firmware running on this controller has a known potential for data loss that can occur while executing a surface analysis scan. This controller cannot be configured until the firmware is upgraded to version 2.08 or later. This issue affects all Smart Array P400/P400i/P800 controllers running version 2.04 firmware.";

// SS 8.0.11.0 Translations
PX_TAG_ERR_UNSUPPORTED_DISK = "ACU found an unsupported physical disk. You must remove this disk to configure your Array.";
PX_TAG_ERR_UNSUPPORTED_DISK_SINGLE_PORT = "ACU found a single ported SAS disk. This controller does not support single ported disks. You must remove this disk to configure your Array.";
PX_TAG_ERR_UNSUPPORTED_DISK_SATA = "ACU found a SATA disk. This controller does not support SATA disks. You must remove this disk to configure your Array.";
PX_TAG_ERR_UNSUPPORTED_DISK_TOO_SMALL = "The replacement disk is too small. You must remove this disk to configure your Array.";
PX_TAG_WARN_BATTERY_DEGRADED = "The current array controller has one or more array accelerator batteries that are failed. Array accelerator operations such as Expansion, Extension, and Migration are still temporarily possible with the remaining batteries, however you should replace the failed battery as soon as possible.<BR><BR>Please consult the user guide to identify and replace the failed batteries.";
PX_TAG_WARN_NOT_RECOMMENDED_REDUNDANT_CABLING1 = "Redundant I/0 modules of this storage box are not cabled for good fault tolerance. Not a recommended redundant cabling configuration for this controller.";
PX_TAG_WARN_NOT_RECOMMENDED_REDUNDANT_CABLING2 = "Redundant I/0 modules of this storage box have multiple paths to the controller. Not a recommended redundant cabling configuration for this controller.";
PX_TAG_WARN_LOG_DRIVE_DEGRADED = "Logical drive <0ID> in array <2ARRAY> is degraded due to the loss of a redundant path.";
PX_TAG_WARN_PHYS_DRIVE_DEGRADED = "The Physical drive at <1Location> is degraded due to the loss of a redundant path.";
PX_TAG_WARN_PHYS_DRIVE_SMART_ERRORS = "The Physical drive at <1Location> is reporting S.M.A.R.T. errors.";

// -----------------------------------------------------------------------------
// NEW/CHANGED PARAGRAPHS TO BE TRANSLATED
//                  --- ADD NEW/CHANGED PARAGRAPHS BELOW ---
// -----------------------------------------------------------------------------
